net.sf.jasperreports.components.spiderchart

## Class StandardSpiderDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.design.JRDesignElementDataset
    - - net.sf.jasperreports.components.spiderchart.StandardSpiderDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ChartDataset, SpiderDataset, JRChangeEventsSupport, JRCloneable, JRElementDataset

      public class StandardSpiderDataset
      extends JRDesignElementDataset
      implements SpiderDataset

  Version:
    $Id: StandardSpiderDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CATEGORY_SERIES`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `PROPERTY_DATASET_RUN, PROPERTY_INCREMENT_GROUP, PROPERTY_INCREMENT_TYPE, PROPERTY_INCREMENT_WHEN_EXPRESSION, PROPERTY_RESET_GROUP, PROPERTY_RESET_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSpiderDataset()`
    `StandardSpiderDataset(SpiderDataset dataset, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCategorySeries(int index, JRCategorySeries categorySeries)`
    `void` | `addCategorySeries(JRCategorySeries categorySeries)`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRCategorySeries[]` | `getSeries()`
    `java.util.List<JRCategorySeries>` | `getSeriesList()`
    `JRCategorySeries` | `removeCategorySeries(JRCategorySeries categorySeries)`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `clone, getEventSupport, setDatasetRun, setIncrementGroup, setIncrementType, setIncrementWhenExpression, setResetGroup, setResetType`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_CATEGORY_SERIES

          public static final java.lang.String PROPERTY_CATEGORY_SERIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardSpiderDataset

          public StandardSpiderDataset()

    - #### StandardSpiderDataset

          public StandardSpiderDataset(SpiderDataset dataset,
                               JRBaseObjectFactory factory)

  - ### Method Detail

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### getSeries

          public JRCategorySeries[] getSeries()

      Specified by:
        `getSeries` in interface `SpiderDataset`

    - #### getSeriesList

          public java.util.List<JRCategorySeries> getSeriesList()

    - #### addCategorySeries

          public void addCategorySeries(JRCategorySeries categorySeries)

    - #### addCategorySeries

          public void addCategorySeries(int index,
                               JRCategorySeries categorySeries)

    - #### removeCategorySeries

          public JRCategorySeries removeCategorySeries(JRCategorySeries categorySeries)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com